;**********************************************************************
; SAL_DEFS.INC - S.A.L. STANDARD INCLUDE FILE.
;
; DESCRIPTION: CONTAINS STANDARD DEFINITIONS
;
; HISTORY:
;          DATE       AUTHOR       COMMENT
;          21/03/96   M. LASTMAN   WROTE IT.
;          15/06/97   Fishman E.S. Change IT. (9 FuncKeys)
;          16/06/97   Fishman E.S. Change IT. (Bell)
;          09/04/98   Fishman E.S. Query Answer Buffer
;                                                                     *
;                                                                     *
;                         ********************
;
; DIRECTIVES
;
          DEF       IN_KEY    0               ; 'IN'  KEY NO. :-----------:
          DEF       OUT_KEY   1               ; 'OUT' KEY NO. :In :Out:F5 :
          DEF       F1_KEY    2               ; 'F1'  KEY NO. :---+---+---:
          DEF       F2_KEY    3               ; 'F2'  KEY NO. :F1 :F2 :F6 :
          DEF       F3_KEY    4               ; 'F3'  KEY NO. :---+---+---:
          DEF       F4_KEY    5               ; 'F4'  KEY NO. :F3 :F4 :F7 :
          DEF       F5_KEY    6               ; 'F5'  KEY NO. :-----------:
          DEF       F6_KEY    7               ; 'F6'  KEY NO.
          DEF       F7_KEY    8               ; 'F7'  KEY NO.
          DEF       BELL_KEY 14               ;Reserved for Bell
          DEF       INIT_KEY 15               ;RESERVED FUNCTION NO. FOR INIT.

          DEF       TIME_BUF  0                ;DATE & TIME BUFFER CODE.
          DEF       YY        0                ;YEAR  FIELD OFFSET.
          DEF       MM        2                ;MONTH FIELD OFFSET.
          DEF       DD        4                ;DAY   FIELD OFFSET.
          DEF       HH        6                ;HOUR  FIELD OFFSET.
          DEF       MI        8                ;MIN.  FIELD OFFSET.
          DEF       SS        10               ;SEC.  FIELD OFFSET.
          DEF       W         12               ;DAY OF WEEK NO.  FIELD OFFSET.

          DEF       FUNC_BUF  2                ;FUNCTION BUFFER CODE.
          DEF       QueryBUF  1                ;Query    BUFFER CODE.
          DEF       FCODE     0                ;FUNCTION KEY CODE OFFSET

          SYS       SYS_YEAR   TIME_BUF, YY    ;ACCESS TO YEAR  FIELD
          SYS       SYS_MONTH  TIME_BUF, MM    ;ACCESS TO MONTH FIELD
          SYS       SYS_DAY    TIME_BUF, DD    ;ACCESS TO DAY   FIELD
          SYS       SYS_HOUR   TIME_BUF, HH    ;ACCESS TO HOUR  FIELD
          SYS       SYS_MIN    TIME_BUF, MI    ;ACCESS TO MIN.  FIELD
          SYS       SYS_SEC    TIME_BUF, SS    ;ACCESS TO SEC.  FIELD
          SYS       SYS_DOW    TIME_BUF, W     ;ACCESS TO DAY OF WEEK NO. FIELD

          SYS       SYS_QData  QueryBUF,  0    ;ACCESS TO Query Data FIELD
          SYS       SYS_QTime  QueryBUF, 16    ;ACCESS TO Query Time FIELD

          SYS       SYS_FUNC   FUNC_BUF, FCODE ;ACCSES TO FUNCTION CODE.

